Bug 458500 - Badness at kernel/lockdep.c:2079 during installation
Badness at kernel/lockdep.c:2079 during installation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
other All
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: EasyFix, Patch
: 457237 (view as bug list)
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-08-08 17:50 EDT by IBM Bug Proxy
Modified: 2008-10-28 15:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-28 15:41:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix lockdep irq tracing bug on powerpc (1.25 KB, text/plain)
2008-08-15 03:20 EDT, IBM Bug Proxy
no flags Details

  None (edit)
Description IBM Bug Proxy 2008-08-08 17:50:17 EDT
=Comment: #0=================================================
Jochen Roth <jroth@de.ibm.com> - 2008-08-06 07:10 EDT
I discovered the following badness while trying to install Fedora 10 Alpha on a
QS21 Blade:

Installation method: DVD

serial8250.0: ttyS0 at MMIO 0x14540000200 (irq = 34) is a 16550A
                                                                console
handover: boot [udbg0] -> real [ttyS0]
serial8250.0: ttyS1 at MMIO 0x14540000300 (irq = 35) is a 16550A
------------[ cut here ]------------
Badness at kernel/lockdep.c:2079
NIP: c0000000000d1d98 LR: c0000000000d1d7c CTR: c00000000035fc60
REGS: c00000007dfcf030 TRAP: 0700   Not tainted  (2.6.27-0.166.rc0.git8.fc10.ppc64)
MSR: 9000000000029032 <EE,ME,IR,DR>  CR: 24000022  XER: 00000000
TASK = c00000003f418000[1] 'swapper' THREAD: c00000007dfcc000 CPU: 2
GPR00: 0000000000000000 c00000007dfcf2b0 c0000000008ea0d0 0000000000000001 
GPR04: c000000000521580 c000000000361a40 0000000000000100 0000000000000000 
GPR08: c000000000925fc8 c000000000de5658 00000000000000cc 0000000000000001 
GPR12: 0000000044000024 c00000000092f800 c00000000069ca28 0000000001b8b490 
GPR16: 0000000000000000 c00000000078b490 000000000e10b880 0000000000000000 
GPR20: c000000000794ca0 0000000000000001 0000000000000001 0000000000000000 
GPR24: fffffffffffffffe 0000000000000000 000000000000000f 0000000000000001 
GPR28: c0000000000d1e60 c00000003f418000 c00000000088d910 c00000007dfcf2b0 
NIP [c0000000000d1d98] .trace_hardirqs_on_caller+0xd8/0x184
LR [c0000000000d1d7c] .trace_hardirqs_on_caller+0xbc/0x184
Call Trace:
[c00000007dfcf2b0] [c0000000000d1cf8] .trace_hardirqs_on_caller+0x38/0x184
(unreliable)
[c00000007dfcf340] [c0000000000d1e60] .trace_hardirqs_on+0x1c/0x30
[c00000007dfcf3c0] [c000000000521580] ._spin_unlock_irqrestore+0x78/0xa8
[c00000007dfcf460] [c000000000361a40] .serial8250_config_port+0x874/0xd58
[c00000007dfcf530] [c00000000035c2c0] .uart_add_one_port+0x18c/0x404
[c00000007dfcf640] [c000000000363c58] .serial8250_register_port+0x1dc/0x234
[c00000007dfcf6f0] [c000000000540a0c] .serial8250_probe+0xd8/0x174
[c00000007dfcf890] [c0000000003708bc] .platform_drv_probe+0x48/0x64
[c00000007dfcf920] [c00000000036f248] .driver_probe_device+0x124/0x210
[c00000007dfcf9c0] [c00000000036f3a4] .__driver_attach+0x70/0xb8
[c00000007dfcfa60] [c00000000036e644] .bus_for_each_dev+0x98/0x100
[c00000007dfcfb30] [c00000000036ef94] .driver_attach+0x40/0x60
[c00000007dfcfbc0] [c00000000036dbc0] .bus_add_driver+0xdc/0x294
[c00000007dfcfc70] [c00000000036f798] .driver_register+0xf4/0x1d0
[c00000007dfcfd20] [c0000000003716ac] .platform_driver_register+0xb0/0xd0
[c00000007dfcfdb0] [c00000000077a704] .serial8250_init+0x15c/0x1d4
[c00000007dfcfe60] [c00000000073c65c] .kernel_init+0x28c/0x43c
[c00000007dfcff90] [c00000000002f028] .kernel_thread+0x4c/0x68
Instruction dump:
901d0a64 880d01da 2fa00000 41be002c 4818527d 60000000 2fa30000 419e00a0 
e93e8008 80090000 2f800000 409e0090 <0fe00000> 48000088 e92d01b0 80090aa4 
serial8250.0: ttyS2 at MMIO 0x34540000200 (irq = 36) is a 16550A
serial8250.0: ttyS3 at MMIO 0x34540000300 (irq = 37) is a 16550A
TX39/49 Serial driver version 1.11
=Comment: #1=================================================
Jochen Roth <jroth@de.ibm.com> - 2008-08-06 07:14 EDT
This bug is already known: 

http://ozlabs.org/pipermail/linuxppc-dev/2008-July/060562.html
      
=============================================================

Red Hat,
Mirroring this bug for your awareness.

-thanks.
Comment 1 IBM Bug Proxy 2008-08-15 03:20:31 EDT
This should be fixed by the patch "powerpc: Fix lockdep IRQ tracing bug" that I
send to the linuxppc-dev list today. I'm attaching it to this bug as well.

The backport to whatever kernel they have in fc10 should be trivial,
just a matter of the file irqflags.h being in a different place
(include/asm-powerpc/irqflags.h vs. arch/powerpc/include/asm/irqflags.h)
Comment 2 IBM Bug Proxy 2008-08-15 03:20:39 EDT
Created attachment 314376 [details]
Fix lockdep irq tracing bug on powerpc

Patch is against 2.6.27-rc* with the new location for the arch includes. A
backport to .26 would look for the patched file in a different place.
Comment 3 IBM Bug Proxy 2008-09-30 10:02:50 EDT
Fixed in Fedora 10 Beta with kernel 2.6.27-0.352.rc7.git1.fc10.ppc64 Thanks!
Comment 4 Christopher D. Stover 2008-10-28 15:39:56 EDT
*** Bug 457237 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.